[Numpy-discussion] Inquiry Regarding F2PY Windows Content

David Cournapeau cournape@gmail....
Wed Jun 10 11:39:08 CDT 2009


On Thu, Jun 11, 2009 at 1:22 AM, Andrew Hawryluk<HAWRYLA@novachem.com> wrote:

> I was able to get gfortran working on Windows just a few weeks ago. The
> only problem I had was that I needed Python >= 2.5.3 before it would
> work. See issue #2234 in
> http://www.python.org/download/releases/2.5.4/NEWS.txt

That's not really the problem I had in mind - rather, if you compile
your extension with gfortran, since numpy is built with g77 on
windows, you can get into hairy situations since g77 and gfortran are
not compatible. If you build numpy yourself with gfortran (which
should work), then there is no problem.

David


More information about the Numpy-discussion mailing list